Skip to main content
GET
/
api2
/
v2
/
projects
/
{projectUid}
/
transMemories
Get translation memories
curl --request GET \
  --url https://cloud.memsource.com/web/api2/v2/projects/{projectUid}/transMemories \
  --header 'Authorization: <api-key>'
{
  "ptmsPerTargetLang": [
    {
      "targetLang": "<string>",
      "ptmsPerWfStep": [
        {
          "wfStep": {
            "uid": "<string>"
          },
          "ptmData": [
            {
              "wfStep": {
                "uid": "<string>"
              },
              "writeMode": true,
              "readMode": true,
              "penalty": 123,
              "targetLang": "<string>",
              "transMemory": {
                "uid": "<string>",
                "internalId": 123,
                "name": "<string>",
                "sourceLang": "<string>",
                "targetLangs": [
                  "<string>"
                ]
              },
              "applyPenaltyTo101Only": true,
              "order": 123,
              "sharedOwner": "<string>"
            }
          ]
        }
      ]
    }
  ],
  "maxTmsEnabled": 123
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

projectUid
string
required

Query Parameters

targetLang
string

Filter project translation memories by target language

wfStepUid
string

Filter project translation memories by workflow step

definePriority
boolean
getAllInSharedProject
boolean

Get all TMs in shared project (TM assigned from vendor and buyer)

Response

successful operation

ptmsPerTargetLang
object[]
maxTmsEnabled
integer<int32>